Question

Trying to use the Wordpress Marketplace One-Click Install

I went through the set up for the install in the console, but it fails with the following:

Completing the configuration of WordPress.Success: WordPress installed successfully.
Installing WP fail2ban – Advanced Security Plugin (4.3.0.9)
Downloading installation package from https://downloads.wordpress.org/plugin/wp-fail2ban.4.3.0.9.zip...
Unpacking the package...
Installing the plugin...
Plugin installed successfully.
Success: Installed 1 of 1 plugins.
PHP Warning:  require(/var/www/html/wp-includes/global-styles-and-settings.php): Failed to open stream: No such file or directory in /var/www/html/wp-settings.php on line 176
Warning: require(/var/www/html/wp-includes/global-styles-and-settings.php): Failed to open stream: No such file or directory in /var/www/html/wp-settings.php on line 176
PHP Fatal error:  Uncaught Error: Failed opening required '/var/www/html/wp-includes/global-styles-and-settings.php' (include_path='.:/usr/share/php') in /var/www/html/wp-settings.php:176
Stack trace:
#0 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/WP_CLI/Runner.php(1317): require()
#1 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/WP_CLI/Runner.php(1235): WP_CLI\Runner->load_wordpress()
#2 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/WP_CLI/Bootstrap/LaunchRunner.php(28): WP_CLI\Runner->start()
#3 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/bootstrap.php(78): WP_CLI\Bootstrap\LaunchRunner->process()
#4 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/wp-cli.php(27): WP_CLI\bootstrap()
#5 phar:///usr/bin/wp/php/boot-phar.php(11): include('...')
#6 /usr/bin/wp(4): include('...')
#7 {main}
  thrown in /var/www/html/wp-settings.php on line 176
Fatal error: Uncaught Error: Failed opening required '/var/www/html/wp-includes/global-styles-and-settings.php' (include_path='.:/usr/share/php') in /var/www/html/wp-settings.php:176
Stack trace:
#0 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/WP_CLI/Runner.php(1317): require()
#1 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/WP_CLI/Runner.php(1235): WP_CLI\Runner->load_wordpress()
#2 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/WP_CLI/Bootstrap/LaunchRunner.php(28): WP_CLI\Runner->start()
#3 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/bootstrap.php(78): WP_CLI\Bootstrap\LaunchRunner->process()
#4 phar:///usr/bin/wp/vendor/wp-cli/wp-cli/php/wp-cli.php(27): WP_CLI\bootstrap()
#5 phar:///usr/bin/wp/php/boot-phar.php(11): include('...')
#6 /usr/bin/wp(4): include('...')
#7 {main}
  thrown in /var/www/html/wp-settings.php on line 176
Error: There has been a critical error on this website.Learn more about troubleshooting WordPress. There has been a critical error on this website.
Installation complete. Access your new WordPress site in a browser to continue.

I am unable to access the website.


Submit an answer

This textbox defaults to using Markdown to format your answer.

You can type !ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

Sign In or Sign Up to Answer

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Want to learn more? Join the DigitalOcean Community!

Join our DigitalOcean community of over a million developers for free! Get help and share knowledge in Q&A, subscribe to topics of interest, and get courses and tools that will help you grow as a developer and scale your project or business.

Hi there,

I believe that this should be fixed already, what you could do is create a new Droplet and it will work out of the box.

Let me know how it goes!

Best,

Bobby